Activity log for bug #1575248

Date Who What changed Old value New value Message
2016-04-26 15:47:09 Wise Melon bug added bug
2016-04-26 15:47:52 Wise Melon bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820774
2016-04-26 15:47:52 Wise Melon bug task added appstream
2016-04-26 15:48:15 Wise Melon bug task added ubuntu-gnome
2016-04-26 15:49:33 Wise Melon description I have found that when there are new packages available which my machine doesn't know about yet, if I run "sudo apt-get update" this is the output: Get:1 http://gb.archive.ubuntu.com/ubuntu xenial InRelease [247 kB] Hit:2 http://security.ubuntu.com/ubuntu xenial-security InRelease Get:3 http://gb.archive.ubuntu.com/ubuntu xenial-updates InRelease [82.2 kB] Get:4 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [28 B] Get:5 http://gb.archive.ubuntu.com/ubuntu xenial-backports InRelease [82.2 kB] Get:6 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [28 B] Get:7 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [28 B] Get:8 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [28 B] Get:9 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [28 B] Get:10 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [28 B] Get:11 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1,201 kB] Get:12 http://gb.archive.ubuntu.com/ubuntu xenial/main i386 Packages [1,196 kB] Get:13 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en_GB [426 kB] Get:14 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en [568 kB] Get:15 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 DEP-11 Metadata [733 kB] Get:16 http://gb.archive.ubuntu.com/ubuntu xenial/main DEP-11 64x64 Icons [409 kB] Get:17 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [8,344 B] Get:18 http://gb.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [8,684 B] Get:19 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en_GB [2,556 B] Get:20 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en [2,908 B] Get:21 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 DEP-11 Metadata [186 B] Get:22 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [7,532 kB] Get:23 http://gb.archive.ubuntu.com/ubuntu xenial/universe i386 Packages [7,512 kB] Get:24 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en_GB [3,040 kB] Get:25 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en [4,354 kB] Get:26 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 DEP-11 Metadata [3,410 kB] Get:27 http://gb.archive.ubuntu.com/ubuntu xenial/universe DEP-11 64x64 Icons [7,448 kB] Get:28 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [144 kB] Get:29 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [140 kB] Get:30 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en_GB [88.1 kB] Get:31 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB] Get:32 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 DEP-11 Metadata [63.8 kB] Get:33 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse DEP-11 64x64 Icons [230 kB] Get:34 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [28 B] Get:35 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [28 B] Get:36 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [28 B] Get:37 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [28 B] Get:38 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [28 B] Get:39 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [28 B] Get:40 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [28 B] Get:41 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [28 B] Get:42 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [28 B] Get:43 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [28 B] Get:44 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [28 B] Get:45 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [28 B] Get:46 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [28 B] Get:47 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [28 B] Get:48 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [28 B] Get:49 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted amd64 Packages [28 B] Get:50 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted i386 Packages [28 B] Get:51 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted Translation-en [28 B] Get:52 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [28 B] Get:53 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [28 B] Get:54 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [28 B] Get:55 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse amd64 Packages [28 B] Get:56 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse i386 Packages [28 B] Get:57 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse Translation-en [28 B] Fetched 39.0 MB in 7min 59s (81.3 kB/s) AppStream cache update completed, but some metadata was ignored due to errors. Reading package lists... Done And when running "sudo appstreamcli refresh --force --verbose" the output is as follows: ** (appstreamcli:2227): DEBUG: Refreshing AppStream cache ** (appstreamcli:2227): DEBUG: Reading: /usr/share/app-info/xmls/org.freedesktop.fwupd.xml ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_universe_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_main_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_multiverse_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_main_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_restricted_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_restricted_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_multiverse_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_main_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_restricted_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_universe_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_multiverse_dep11_Components-amd64.yml.gz ** (appstreamcli:2227): DEBUG: Reading: /var/cache/app-info/xmls/fwupd.xml ** (appstreamcli:2227): DEBUG: Detected colliding ids: plan.desktop was already added with the same priority. ** (appstreamcli:2227): DEBUG: Detected colliding ids: flcheckers.desktop was already added with the same priority. ** (appstreamcli:2227): DEBUG: Detected colliding ids: flblocks.desktop was already added with the same priority. ** (appstreamcli:2227): DEBUG: Detected colliding ids: flsudoku.desktop was already added with the same priority. ** (appstreamcli:2227): DEBUG: zathura-pdf-poppler.desktop extends zathura.desktop, but zathura.desktop was not found. ** (appstreamcli:2227): DEBUG: WARNING: Skipped component 'com.steelseries.rival-legacy.firmware': The component is invalid. ** (appstreamcli:2227): DEBUG: Removing old rebuild-dir from previous database rebuild. AppStream cache update completed, but some metadata was ignored due to errors. I have found this to be present on all Ubuntu 16.04 flavours which I have tried, I have also been informed that this is likely to be a server-side issue. I have found that when there are new packages available which my machine doesn't know about yet, if I run "sudo apt-get update" this is the output:     Get:1 http://gb.archive.ubuntu.com/ubuntu xenial InRelease [247 kB]     Hit:2 http://security.ubuntu.com/ubuntu xenial-security InRelease     Get:3 http://gb.archive.ubuntu.com/ubuntu xenial-updates InRelease [82.2 kB]     Get:4 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [28 B]     Get:5 http://gb.archive.ubuntu.com/ubuntu xenial-backports InRelease [82.2 kB]     Get:6 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [28 B]     Get:7 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [28 B]     Get:8 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [28 B]     Get:9 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [28 B]     Get:10 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [28 B]     Get:11 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1,201 kB]     Get:12 http://gb.archive.ubuntu.com/ubuntu xenial/main i386 Packages [1,196 kB]     Get:13 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en_GB [426 kB]     Get:14 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en [568 kB]     Get:15 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 DEP-11 Metadata [733 kB]     Get:16 http://gb.archive.ubuntu.com/ubuntu xenial/main DEP-11 64x64 Icons [409 kB]     Get:17 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [8,344 B]     Get:18 http://gb.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [8,684 B]     Get:19 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en_GB [2,556 B]     Get:20 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en [2,908 B]     Get:21 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 DEP-11 Metadata [186 B]     Get:22 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [7,532 kB]     Get:23 http://gb.archive.ubuntu.com/ubuntu xenial/universe i386 Packages [7,512 kB]     Get:24 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en_GB [3,040 kB]     Get:25 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en [4,354 kB]     Get:26 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 DEP-11 Metadata [3,410 kB]     Get:27 http://gb.archive.ubuntu.com/ubuntu xenial/universe DEP-11 64x64 Icons [7,448 kB]     Get:28 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [144 kB]     Get:29 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [140 kB]     Get:30 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en_GB [88.1 kB]     Get:31 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB]     Get:32 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 DEP-11 Metadata [63.8 kB]     Get:33 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse DEP-11 64x64 Icons [230 kB]     Get:34 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [28 B]     Get:35 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [28 B]     Get:36 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [28 B]     Get:37 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [28 B]     Get:38 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [28 B]     Get:39 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [28 B]     Get:40 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [28 B]     Get:41 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [28 B]     Get:42 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [28 B]     Get:43 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [28 B]     Get:44 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [28 B]     Get:45 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [28 B]     Get:46 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [28 B]     Get:47 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [28 B]     Get:48 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [28 B]     Get:49 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted amd64 Packages [28 B]     Get:50 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted i386 Packages [28 B]     Get:51 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted Translation-en [28 B]     Get:52 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [28 B]     Get:53 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [28 B]     Get:54 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [28 B]     Get:55 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse amd64 Packages [28 B]     Get:56 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse i386 Packages [28 B]     Get:57 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse Translation-en [28 B]     Fetched 39.0 MB in 7min 59s (81.3 kB/s)     AppStream cache update completed, but some metadata was ignored due to errors.     Reading package lists... Done And when running "sudo appstreamcli refresh --force --verbose" the output is as follows:     ** (appstreamcli:2227): DEBUG: Refreshing AppStream cache     ** (appstreamcli:2227): DEBUG: Reading: /usr/share/app-info/xmls/org.freedesktop.fwupd.xml     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/cache/app-info/xmls/fwupd.xml     ** (appstreamcli:2227): DEBUG: Detected colliding ids: plan.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flcheckers.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flblocks.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flsudoku.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: zathura-pdf-poppler.desktop extends zathura.desktop, but zathura.desktop was not found.     ** (appstreamcli:2227): DEBUG: WARNING: Skipped component 'com.steelseries.rival-legacy.firmware': The component is invalid.     ** (appstreamcli:2227): DEBUG: Removing old rebuild-dir from previous database rebuild.     AppStream cache update completed, but some metadata was ignored due to errors. I have found this to be present on all Ubuntu 16.04 flavours which I have tried, I have also been informed that this is likely to be a server-side issue. You can also see from this https://askubuntu.com/q/761884/364819 that many are experiencing it.
2016-04-26 16:44:51 Matthias Klumpp bug task added fwupd (Ubuntu)
2016-04-26 16:51:20 Matthias Klumpp appstream (Ubuntu): status New Invalid
2016-04-26 18:55:07 Wise Melon ubuntu-gnome: status New Confirmed
2016-04-26 18:55:11 Wise Melon fwupd (Ubuntu): status New Confirmed
2016-04-27 06:33:09 Ulrich von Augsburg bug added subscriber Fidelis
2016-04-28 08:52:44 Bug Watch Updater appstream: status Unknown New
2016-04-28 14:18:17 Mario Limonciello description I have found that when there are new packages available which my machine doesn't know about yet, if I run "sudo apt-get update" this is the output:     Get:1 http://gb.archive.ubuntu.com/ubuntu xenial InRelease [247 kB]     Hit:2 http://security.ubuntu.com/ubuntu xenial-security InRelease     Get:3 http://gb.archive.ubuntu.com/ubuntu xenial-updates InRelease [82.2 kB]     Get:4 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [28 B]     Get:5 http://gb.archive.ubuntu.com/ubuntu xenial-backports InRelease [82.2 kB]     Get:6 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [28 B]     Get:7 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [28 B]     Get:8 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [28 B]     Get:9 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [28 B]     Get:10 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [28 B]     Get:11 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1,201 kB]     Get:12 http://gb.archive.ubuntu.com/ubuntu xenial/main i386 Packages [1,196 kB]     Get:13 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en_GB [426 kB]     Get:14 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en [568 kB]     Get:15 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 DEP-11 Metadata [733 kB]     Get:16 http://gb.archive.ubuntu.com/ubuntu xenial/main DEP-11 64x64 Icons [409 kB]     Get:17 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [8,344 B]     Get:18 http://gb.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [8,684 B]     Get:19 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en_GB [2,556 B]     Get:20 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en [2,908 B]     Get:21 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 DEP-11 Metadata [186 B]     Get:22 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [7,532 kB]     Get:23 http://gb.archive.ubuntu.com/ubuntu xenial/universe i386 Packages [7,512 kB]     Get:24 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en_GB [3,040 kB]     Get:25 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en [4,354 kB]     Get:26 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 DEP-11 Metadata [3,410 kB]     Get:27 http://gb.archive.ubuntu.com/ubuntu xenial/universe DEP-11 64x64 Icons [7,448 kB]     Get:28 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [144 kB]     Get:29 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [140 kB]     Get:30 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en_GB [88.1 kB]     Get:31 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB]     Get:32 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 DEP-11 Metadata [63.8 kB]     Get:33 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse DEP-11 64x64 Icons [230 kB]     Get:34 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [28 B]     Get:35 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [28 B]     Get:36 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [28 B]     Get:37 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [28 B]     Get:38 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [28 B]     Get:39 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [28 B]     Get:40 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [28 B]     Get:41 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [28 B]     Get:42 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [28 B]     Get:43 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [28 B]     Get:44 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [28 B]     Get:45 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [28 B]     Get:46 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [28 B]     Get:47 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [28 B]     Get:48 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [28 B]     Get:49 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted amd64 Packages [28 B]     Get:50 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted i386 Packages [28 B]     Get:51 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted Translation-en [28 B]     Get:52 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [28 B]     Get:53 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [28 B]     Get:54 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [28 B]     Get:55 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse amd64 Packages [28 B]     Get:56 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse i386 Packages [28 B]     Get:57 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse Translation-en [28 B]     Fetched 39.0 MB in 7min 59s (81.3 kB/s)     AppStream cache update completed, but some metadata was ignored due to errors.     Reading package lists... Done And when running "sudo appstreamcli refresh --force --verbose" the output is as follows:     ** (appstreamcli:2227): DEBUG: Refreshing AppStream cache     ** (appstreamcli:2227): DEBUG: Reading: /usr/share/app-info/xmls/org.freedesktop.fwupd.xml     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/cache/app-info/xmls/fwupd.xml     ** (appstreamcli:2227): DEBUG: Detected colliding ids: plan.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flcheckers.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flblocks.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flsudoku.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: zathura-pdf-poppler.desktop extends zathura.desktop, but zathura.desktop was not found.     ** (appstreamcli:2227): DEBUG: WARNING: Skipped component 'com.steelseries.rival-legacy.firmware': The component is invalid.     ** (appstreamcli:2227): DEBUG: Removing old rebuild-dir from previous database rebuild.     AppStream cache update completed, but some metadata was ignored due to errors. I have found this to be present on all Ubuntu 16.04 flavours which I have tried, I have also been informed that this is likely to be a server-side issue. You can also see from this https://askubuntu.com/q/761884/364819 that many are experiencing it. [Impact] * Checks for apt updates using apt or apt-get also update the appstream cache. Some of the appstream metadata installed locally isn't strictly valid as it's missing two fields. [Test Case] * fwupdmgr refresh * apt update * check for errors about metadata being ignored [Regression Potential] * This is just changing the XML metadata locally, I don't see any regression potential. [Other Info] * This fix has been applied upstream: https://github.com/hughsie/fwupd/commit/f4e0e88f7cba833a4badc1a3d62f1a08dd1bfd96 [Original report] I have found that when there are new packages available which my machine doesn't know about yet, if I run "sudo apt-get update" this is the output:     Get:1 http://gb.archive.ubuntu.com/ubuntu xenial InRelease [247 kB]     Hit:2 http://security.ubuntu.com/ubuntu xenial-security InRelease     Get:3 http://gb.archive.ubuntu.com/ubuntu xenial-updates InRelease [82.2 kB]     Get:4 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [28 B]     Get:5 http://gb.archive.ubuntu.com/ubuntu xenial-backports InRelease [82.2 kB]     Get:6 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [28 B]     Get:7 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [28 B]     Get:8 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [28 B]     Get:9 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [28 B]     Get:10 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [28 B]     Get:11 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1,201 kB]     Get:12 http://gb.archive.ubuntu.com/ubuntu xenial/main i386 Packages [1,196 kB]     Get:13 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en_GB [426 kB]     Get:14 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en [568 kB]     Get:15 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 DEP-11 Metadata [733 kB]     Get:16 http://gb.archive.ubuntu.com/ubuntu xenial/main DEP-11 64x64 Icons [409 kB]     Get:17 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [8,344 B]     Get:18 http://gb.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [8,684 B]     Get:19 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en_GB [2,556 B]     Get:20 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en [2,908 B]     Get:21 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 DEP-11 Metadata [186 B]     Get:22 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [7,532 kB]     Get:23 http://gb.archive.ubuntu.com/ubuntu xenial/universe i386 Packages [7,512 kB]     Get:24 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en_GB [3,040 kB]     Get:25 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en [4,354 kB]     Get:26 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 DEP-11 Metadata [3,410 kB]     Get:27 http://gb.archive.ubuntu.com/ubuntu xenial/universe DEP-11 64x64 Icons [7,448 kB]     Get:28 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [144 kB]     Get:29 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [140 kB]     Get:30 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en_GB [88.1 kB]     Get:31 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB]     Get:32 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 DEP-11 Metadata [63.8 kB]     Get:33 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse DEP-11 64x64 Icons [230 kB]     Get:34 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [28 B]     Get:35 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [28 B]     Get:36 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [28 B]     Get:37 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [28 B]     Get:38 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [28 B]     Get:39 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [28 B]     Get:40 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [28 B]     Get:41 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [28 B]     Get:42 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [28 B]     Get:43 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [28 B]     Get:44 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [28 B]     Get:45 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [28 B]     Get:46 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [28 B]     Get:47 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [28 B]     Get:48 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [28 B]     Get:49 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted amd64 Packages [28 B]     Get:50 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted i386 Packages [28 B]     Get:51 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted Translation-en [28 B]     Get:52 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [28 B]     Get:53 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [28 B]     Get:54 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [28 B]     Get:55 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse amd64 Packages [28 B]     Get:56 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse i386 Packages [28 B]     Get:57 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse Translation-en [28 B]     Fetched 39.0 MB in 7min 59s (81.3 kB/s)     AppStream cache update completed, but some metadata was ignored due to errors.     Reading package lists... Done And when running "sudo appstreamcli refresh --force --verbose" the output is as follows:     ** (appstreamcli:2227): DEBUG: Refreshing AppStream cache     ** (appstreamcli:2227): DEBUG: Reading: /usr/share/app-info/xmls/org.freedesktop.fwupd.xml     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_main_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_restricted_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_universe_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_multiverse_dep11_Components-amd64.yml.gz     ** (appstreamcli:2227): DEBUG: Reading: /var/cache/app-info/xmls/fwupd.xml     ** (appstreamcli:2227): DEBUG: Detected colliding ids: plan.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flcheckers.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flblocks.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: Detected colliding ids: flsudoku.desktop was already added with the same priority.     ** (appstreamcli:2227): DEBUG: zathura-pdf-poppler.desktop extends zathura.desktop, but zathura.desktop was not found.     ** (appstreamcli:2227): DEBUG: WARNING: Skipped component 'com.steelseries.rival-legacy.firmware': The component is invalid.     ** (appstreamcli:2227): DEBUG: Removing old rebuild-dir from previous database rebuild.     AppStream cache update completed, but some metadata was ignored due to errors. I have found this to be present on all Ubuntu 16.04 flavours which I have tried, I have also been informed that this is likely to be a server-side issue. You can also see from this https://askubuntu.com/q/761884/364819 that many are experiencing it.
2016-04-28 14:18:39 Mario Limonciello fwupd (Ubuntu): status Confirmed In Progress
2016-04-28 14:18:41 Mario Limonciello fwupd (Ubuntu): assignee Mario Limonciello (superm1)
2016-04-28 14:33:46 Matthias Klumpp appstream: importance Unknown Undecided
2016-04-28 14:33:46 Matthias Klumpp appstream: remote watch Debian Bug tracker #820774
2016-04-28 14:33:58 Matthias Klumpp appstream: status New Invalid
2016-04-29 12:28:48 Timo Aaltonen nominated for series Ubuntu Xenial
2016-04-29 12:28:48 Timo Aaltonen bug task added appstream (Ubuntu Xenial)
2016-04-29 12:28:48 Timo Aaltonen bug task added fwupd (Ubuntu Xenial)
2016-04-29 12:30:05 Timo Aaltonen bug task deleted appstream (Ubuntu Xenial)
2016-04-29 12:31:04 Timo Aaltonen fwupd (Ubuntu Xenial): status New Fix Committed
2016-04-29 12:31:05 Timo Aaltonen bug added subscriber Ubuntu Stable Release Updates Team
2016-04-29 12:31:07 Timo Aaltonen bug added subscriber SRU Verification
2016-04-29 12:31:15 Timo Aaltonen tags xenial verification-needed xenial
2016-05-01 00:04:03 yuans bug added subscriber yuans
2016-05-01 09:14:57 Or Schiro bug added subscriber Robert Orzanna
2016-05-05 04:12:13 Alberto Salvia Novella fwupd (Ubuntu): importance Undecided High
2016-05-05 04:12:14 Alberto Salvia Novella fwupd (Ubuntu Xenial): importance Undecided High
2016-05-05 04:12:17 Alberto Salvia Novella appstream (Ubuntu): importance Undecided High
2016-05-05 15:58:16 Matthias Klumpp appstream (Ubuntu): importance High Medium
2016-05-05 15:58:21 Matthias Klumpp fwupd (Ubuntu): importance High Medium
2016-05-09 09:05:47 Martin Pitt tags verification-needed xenial verification-done xenial
2016-05-10 15:41:02 Launchpad Janitor fwupd (Ubuntu): status In Progress Fix Released
2016-05-11 12:52:29 SURGET Bertrand bug added subscriber SURGET Bertrand
2016-05-11 15:16:24 Launchpad Janitor fwupd (Ubuntu Xenial): status Fix Committed Fix Released
2016-05-11 15:16:29 Chris J Arges removed subscriber Ubuntu Stable Release Updates Team
2016-07-12 07:04:58 高峰 bug added subscriber 高峰
2016-08-31 15:13:02 周宁 bug added subscriber 周宁
2016-11-24 10:48:05 Matthias Klumpp bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=837765
2016-11-24 10:48:05 Matthias Klumpp bug task added fwupd (Debian)
2016-11-24 11:16:58 Bug Watch Updater fwupd (Debian): status Unknown Fix Released
2016-11-24 22:46:03 paz bug added subscriber paz
2016-11-25 00:12:43 Nikita Rotsky bug added subscriber Kurtwalter Rotzke
2016-11-26 19:34:41 sergey bug added subscriber sergey
2016-11-27 04:42:43 tt8811 bug added subscriber tt8811
2016-11-27 15:03:17 Matthias Klumpp ubuntu-gnome: status Confirmed Invalid
2016-11-27 15:18:52 Nikita Rotsky removed subscriber Nikita Rotsky
2016-11-28 19:46:57 Mathew Hodson bug watch removed http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820774
2016-11-28 21:16:47 nenad bug added subscriber nenad
2016-11-28 22:18:12 Krino Hoogestraat bug added subscriber Krino Hoogestraat
2016-11-29 11:22:47 Paddy Landau bug added subscriber Paddy Landau
2016-11-30 00:24:40 Mathew Hodson bug added subscriber Mathew Hodson
2016-11-30 08:34:39 Andrey Bondarenko bug added subscriber Andrey Bondarenko
2016-11-30 17:35:24 Chris bug added subscriber Chris
2016-11-30 18:40:11 Videonauth bug added subscriber Videonauth
2016-11-30 18:59:41 Jeff Davis bug added subscriber Jeff Davis
2016-12-01 23:51:24 Mathew Hodson removed subscriber Mathew Hodson
2016-12-01 23:54:18 Mathew Hodson bug task deleted appstream (Ubuntu)
2016-12-01 23:54:35 Mathew Hodson affects ubuntu-gnome ubuntu-translations
2016-12-01 23:54:45 Mathew Hodson bug task deleted ubuntu-translations
2016-12-01 23:55:04 Mathew Hodson affects appstream ubuntu-translations
2016-12-01 23:55:16 Mathew Hodson bug task deleted ubuntu-translations
2016-12-02 00:04:44 Mathew Hodson summary "AppStream cache update completed, but some metadata was ignored due to errors." on "sudo apt-get update" fwupd: Error message due to invalid AppStream file
2016-12-03 14:25:59 Krino Hoogestraat removed subscriber Krino Hoogestraat
2016-12-27 15:54:20 Kostadin Chikov bug added subscriber Kostadin Chikov
2016-12-31 17:27:37 Ilias bug added subscriber Ilias